API keys
Create a remote API key
POST
/
v1
/
api-accounts
/
{account_id}
/
keys
Create a remote API key
curl --request POST \
--url https://api.batchrelay.com/v1/api-accounts/{account_id}/keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"scopes": [
"<string>"
],
"expires_at": 123
}
'import requests
url = "https://api.batchrelay.com/v1/api-accounts/{account_id}/keys"
payload = {
"name": "<string>",
"scopes": ["<string>"],
"expires_at": 123
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', scopes: ['<string>'], expires_at: 123})
};
fetch('https://api.batchrelay.com/v1/api-accounts/{account_id}/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"idempotent_replay": true,
"key": {
"created_at": 123,
"environment": "test",
"id": "<string>",
"key_prefix": "<string>",
"masked_key": "<string>",
"name": "<string>",
"scopes": [
"<string>"
],
"status": "active",
"studio_grants": [
{
"scopes": [
"<string>"
],
"studio_id": "<string>"
}
],
"expires_at": 123,
"last_used_at": 123,
"revoked_at": 123
}
}{
"code": "<string>",
"docs_url": "<string>",
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"code": "<string>",
"docs_url": "<string>",
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"code": "<string>",
"docs_url": "<string>",
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"code": "<string>",
"docs_url": "<string>",
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}Authorizations
Verified Batch Relay dashboard session token. This is distinct from a scoped Batch Relay API key.
Headers
Required string length:
1 - 256Untrusted optional analytics hint naming the calling client surface. It never affects authorization, routing, pricing, or behavior.
Required string length:
1 - 100Untrusted optional analytics hint naming the calling client version. It never affects authorization, routing, pricing, or behavior.
Required string length:
1 - 100Untrusted optional analytics hint naming the invocation mode. It never affects authorization, routing, pricing, or behavior.
Required string length:
1 - 100Path Parameters
Required string length:
1 - 256Body
application/json
⌘I
Create a remote API key
